package com.zcloud.common.alipay;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * @author fangjiakai
 * @date 2023/12/07 14:58
 */
@ConfigurationProperties(prefix = "alipay")
@Component
@Data
public class AliPayBean {
    private String appId;
    private String merchantPrivateKey;
    private String alipayPublicKey;
    private String httpProxyDomain;
    private String aliDomain;
}
