package com.zcloud.common.wxpay;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * @author fangjiakai
 * @date 2023/12/04 11:07
 */
@ConfigurationProperties(prefix = "wxpay")
@Component
@Data
public class WxPayBean {
    private String appId;
    private String mchId;
    private String mchSerialNo;
    private String apiv3Key;
    private String privateKey;
    private String httpProxyDomain;
    private String wxDomain;
}
