package com.zcloud.modules.custormerInfo.dao;

import com.zcloud.modules.custormerInfo.entity.BusAlifacoryCustomerEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @Author zhangyue
 * @Desc 客户-阿里云转码模板关联表(BusAlifacoryCustomer)表数据库访问层
 * @Date 2024-05-06 10:47:31
 */
@Mapper
public interface BusAlifacoryCustomerDao extends BaseMapper<BusAlifacoryCustomerEntity> {

    /**
     * 分页查询
     */
    IPage<BusAlifacoryCustomerEntity> listPage(@Param("page") Page<Map<String, Object>> page, @Param("params") Map<String, Object> params);

    List<BusAlifacoryCustomerEntity> listAllByCustomerId(@Param("customerinfoIdList") List<String> customerinfoIdList);
}
