package com.zcloud.modules.custormerInfo.dao;

import com.zcloud.modules.custormerInfo.entity.BusAlifacoryEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Map;

/**
 * @Author zhangyue
 * @Desc 阿里云转码模板(BusAlifacory)表数据库访问层
 * @Date 2024-05-09 17:09:46
 */
@Mapper
public interface BusAlifacoryDao extends BaseMapper<BusAlifacoryEntity> {

    /**
     * 分页查询
     */
    IPage<BusAlifacoryEntity> listPage(@Param("page") Page<Map<String, Object>> page, @Param("params") Map<String, Object> params);



}
