package com.zcloud.modules.custormerInfo.dao;

import com.zcloud.modules.custormerInfo.entity.BusCustomerinfoRequireEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;
/**
 * @Author zhangQiHang
 * @Desc 客户课程要求(BusCustomerinfoRequire)表数据库访问层
 * @Date 2025-05-09 09:13:51
 */
@Mapper
public interface BusCustomerinfoRequireDao extends BaseMapper<BusCustomerinfoRequireEntity> {

    /**
     * 分页查询
     */
    IPage<BusCustomerinfoRequireEntity> listPage(@Param("page") Page<Map<String,Object>> page,@Param("params") Map<String, Object> params);

    List<BusCustomerinfoRequireEntity> findByInfoId(@Param("customerinfoId") String customerinfoId);
}
