package com.zcloud.modules.custormerInfo.service;

import com.zcloud.common.utils.PageUtils;
import com.zcloud.modules.custormerInfo.entity.BusAlifacoryCustomerEntity;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;
import java.util.Map;

/**
 * @Author zhangyue
 * @Desc 客户-阿里云转码模板关联表(BusAlifacoryCustomer)表服务接口
 * @Date 2024-05-06 10:47:31
 */
public interface BusAlifacoryCustomerService extends IService<BusAlifacoryCustomerEntity> {

    BusAlifacoryCustomerEntity queryByFlexibleParams(String paramName, Object paramValue);

    List<BusAlifacoryCustomerEntity> queryListByFlexibleParams(String paramName, Object paramValue);

    /**
     * 分页查询
     */
    PageUtils listPage(Map<String, Object> params);

    /**
     * 通过主键删除数据
     */
    void delete(String alifacoryCustomerId, String userId);

}
