package com.zcloud.modules.custormerInfo.service;

import com.zcloud.common.utils.PageUtils;
import com.zcloud.modules.custormerInfo.entity.BusCustomerinfoRequireEntity;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;
import java.util.Map;

/**
 * @Author zhangQiHang
 * @Desc 客户课程要求(BusCustomerinfoRequire)表服务接口
 * @Date 2025-05-09 09:13:51
 */
public interface BusCustomerinfoRequireService extends IService<BusCustomerinfoRequireEntity> {

    BusCustomerinfoRequireEntity queryByFlexibleParams(String paramName, Object paramValue);

	List<BusCustomerinfoRequireEntity> queryListByFlexibleParams(String paramName, Object paramValue);
    /**
     * 分页查询
     */
    PageUtils listPage(Map<String, Object> params);

    /**
     * 通过主键删除数据
     */
    void delete(String customerinfoRequireId,String userId);

}
