package com.zcloud.modules.exceptionLog.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.util.Date;

import lombok.Data;

/**
 * @Author wenshijun
 * @Desc (ErrorLog)实体
 * @Date 2023-11-28 11:35:45
 */
@Data
@TableName("sys_error_log")
public class ErrorLogEntity implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 日志id
     */
    @TableId
    private String id;
    /**
     * 用户名
     */
    private String userId;
    /**    * 日志时间
     */
    private Date logTime;
    /**
     * 异常信息
     */
    private String exceptionText;

}

