package com.zcloud.modules.feedback.dao;

import com.zcloud.modules.feedback.entity.BusFeedbackReplyEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
 import java.util.Map;
/**
 * @Author wangpeng
 * @Desc 意见反馈-回复表(BusFeedbackReply)表数据库访问层
 * @Date 2024-03-30 15:20:00
 */
@Mapper
public interface BusFeedbackReplyDao extends BaseMapper<BusFeedbackReplyEntity> {

    /**
     * 分页查询
     */
    IPage<BusFeedbackReplyEntity> listPage(@Param("page") Page<Map<String,Object>> page,@Param("params") Map<String, Object> params);
}
