package com.zcloud.modules.custormerInfo.dao;

import com.zcloud.modules.custormerInfo.entity.BusInvoicingAuditHistoryEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;
/**
 * @Author lizenan
 * @Desc 开票表(用于记录原值，每次更新开票表都插入原来的值)(BusInvoicingAuditHistory)表数据库访问层
 * @Date 2024-04-03 15:20:56
 */
@Mapper
public interface BusInvoicingAuditHistoryDao extends BaseMapper<BusInvoicingAuditHistoryEntity> {

    /**
     * 分页查询
     */
    IPage<BusInvoicingAuditHistoryEntity> listPage(@Param("page") Page<Map<String,Object>> page,@Param("params") Map<String, Object> params);

    List<BusInvoicingAuditHistoryEntity> listByInvoicingId(String invoicingId);
}
