package com.zcloud.modules.mall.dao;

import com.zcloud.modules.mall.entity.BusBannerEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.zcloud.modules.mall.form.SortForm;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;
/**
 * @Author fangjiakai
 * @Desc 轮播图(BusBanner)表数据库访问层
 * @Date 2024-06-26 10:00:25
 */
@Mapper
public interface BusBannerDao extends BaseMapper<BusBannerEntity> {

    /**
     * 分页查询
     */
    IPage<BusBannerEntity> listPage(@Param("page") Page<Map<String,Object>> page,@Param("params") Map<String, Object> params);

    void sort(List<SortForm> entityList);
}
