package com.zcloud.modules.mall.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.zcloud.modules.mall.entity.BusFeedbackMallEntity;
import org.apache.ibatis.annotations.Mapper;

import java.util.Map;

/**
 * 讲师表DAO
 * 
 * @Entity
 */
@Mapper
public interface BusFeedbackMallDao extends BaseMapper<BusFeedbackMallEntity> {

    /**
     * 分页查询
     */
    IPage<BusFeedbackMallEntity> listPage(Page<Map<String, Object>> page, Map<String, Object> params);
}
