package com.zcloud.modules.mall.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;

/**
 * 讲师表
 * 
 * @TableName bus_feedback_mall
 */
@Data
@TableName("bus_feedback_mall")
public class BusFeedbackMallEntity implements Serializable {
	private static final long serialVersionUID = 1L;
	/**
	 *
	 */
	@TableId
	private String feedbackMallId;

	/**
	 * 消息类型0定制课程1反馈问题
	 */
	private Integer type;

	/**
	 * 联系方式
	 */
	private String phone;

	/**
	 * 联系人
	 */
	private String contacts;

	/**
	 * 简单描述
	 */
	private String simpleDescribe;

	/**
	 * 是否阅读0否1是
	 */
	private Integer isRead;

	/**
	 * 是否完成定制0否1是
	 */
	private Integer isCustomized;

	/**
	 * 是否恢复0否1是
	 */
	private Integer isReply;

	/**
	 * 是否删除(0:有效 1：删除)
	 */
	@TableField(fill = FieldFill.INSERT)
	private Integer isDelete;

	/**
	 * 修改人
	 */
	private String operator;

	/**
	 * 修改时间
	 */
	@TableField(fill = FieldFill.INSERT_UPDATE)
	private String operatTime;

	/**
	 * 添加人
	 */
	private String creator;

	/**
	 * 添加时间
	 */
	@TableField(fill = FieldFill.INSERT)
	private String createTime;

}
