package com.zcloud.modules.mall.form;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.web.multipart.MultipartFile;

import java.io.Serializable;

/**
 * @Author fangjiakai
 * @Date 2024-06-26 14:13:26
 */
@Data
public class BusResourceLibraryForm implements Serializable {
    private static final long serialVersionUID = 3368602740422147800L;
    //ID
    @ApiModelProperty(value = "ID")
    private String resourcelibraryId;
    //资源类型
    @ApiModelProperty(value = "资源类型")
    private String resourcelibraryCatalogId;
    //资源名称
    @ApiModelProperty(value = "资源名称")
    private String name;
    //资源编码
    @ApiModelProperty(value = "资源编码")
    private String code;
    //有效期
    @ApiModelProperty(value = "有效期")
    private String validate;
    //1全部
    @ApiModelProperty(value = "1全部")
    private Integer isAll;
    //文件
    @ApiModelProperty(value = "文件")
    private String filePath;
    //资源类型 例如：pdf、txt
    @ApiModelProperty(value = "资源类型 例如：pdf、txt")
    private String fileType;
    //资源
    @ApiModelProperty(value = "资源类型 例如：pdf、txt")
    private MultipartFile file;
}

