package com.zcloud.modules.mall.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author fangjiakai
 * @date 2024/06/26 14:34
 */
@Data
public class BusPromotionCurriculumVo implements Serializable {
    private static final long serialVersionUID = 866390724254875091L;

    private Integer promotionCurriculumId;
    //课程
    @ApiModelProperty(value = "课程")
    private String curriculumId;
    //促销价格
    @ApiModelProperty(value = "促销价格")
    private Double promotionPrice;
    //是否显示0否1是
    @ApiModelProperty(value = "是否显示0否1是")
    private Integer isShow;
    //排序
    @ApiModelProperty(value = "排序")
    private Integer sort;
    //开始显示时间
    @ApiModelProperty(value = "开始显示时间")
    private String startTime;
    //结束显示时间
    @ApiModelProperty(value = "结束显示时间")
    private String endTime;

    //课程名称
    @ApiModelProperty(value = "课程名称")
    private String curriculumName;
    //课程名称
    @ApiModelProperty(value = "课程价格")
    private Double price;
    //课程描述
    @ApiModelProperty(value = "课程描述")
    private String curriculumIntroduce;
    //总课时
    @ApiModelProperty(value = "总课时")
    private Double classHour;
    //课程体系
    @ApiModelProperty(value = "课程体系")
    private String curriculumSystemName;
}
