package com.zcloud.modules.qps.dao;

import com.zcloud.modules.qps.entity.BusQpsLogEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
 import java.util.Map;
/**
 * @Author makejava
 * @Desc QPS购买记录(BusQpsLog)表数据库访问层
 * @Date 2024-04-08 09:01:23
 */
@Mapper
public interface BusQpsLogDao extends BaseMapper<BusQpsLogEntity> {

    /**
     * 分页查询
     */
    IPage<BusQpsLogEntity> listPage(@Param("page") Page<Map<String,Object>> page,@Param("params") Map<String, Object> params);

    BusQpsLogEntity getInfoById(Integer qpsLogId);
}
