package com.zcloud.modules.qps.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Author makejava
 * @Desc QPS购买记录(BusQpsLog)实体
 * @Date 2024-04-08 09:01:19
 */
@Data
@TableName("bus_qps_log")
public class BusQpsLogEntity implements Serializable {
    private static final long serialVersionUID = 530523266117283656L;
    //主键
    @ApiModelProperty(value = "主键")
    @TableId
    private Integer qpsLogId;
    //客户ID
    @ApiModelProperty(value = "客户ID")
    private String customerinfoId;
    //qps
    @ApiModelProperty(value = "qps")
    private Integer qps;
    //开始时间
    @ApiModelProperty(value = "开始时间")
    private String startDate;
    //截止日期
    @ApiModelProperty(value = "截止日期")
    private String endDate;
    //付款价格
    @ApiModelProperty(value = "付款价格")
    private Double price;
    //状态 1付款2申请开票3开票完成
    @ApiModelProperty(value = "状态 1付款2申请开票3开票完成")
    private Integer status;
    //发票附件
    @ApiModelProperty(value = "发票附件")
    private String invoicePath;
    //订单号
    @ApiModelProperty(value = "订单号")
    private String orderNum;
    //创建者ID
    @ApiModelProperty(value = "创建者ID")
    private String creator;
    //创建时间
    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private String createTime;

    @ApiModelProperty(value = "客户名称")
    @TableField(exist = false)
    private String corpinfoName;

    @ApiModelProperty(value = "下单人")
    @TableField(exist = false)
    private String name;
    //开票状态  0:未开票、1:开票中、2:已开票、3:申请重开、4:重开中、5:已完成
    @ApiModelProperty(value = "开票状态  0:未开票、1:开票中、2:已开票、3:申请重开、4:重开中、5:已完成")
    private Integer invoicingStatus;
}

