package com.zcloud.modules.sys.dao;

import com.zcloud.modules.sys.entity.BusNoticeCorpEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;
/**
 * @Author chenxinying
 * @Desc (BusNoticeCorp)表数据库访问层
 * @Date 2024-03-29 09:53:21
 */
@Mapper
public interface BusNoticeCorpDao extends BaseMapper<BusNoticeCorpEntity> {

    /**
     * 分页查询
     */
    IPage<BusNoticeCorpEntity> listPage(@Param("page") Page<Map<String,Object>> page,@Param("params") Map<String, Object> params);


}
