package com.zcloud.modules.sys.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.zcloud.common.utils.PageUtils;
import com.zcloud.modules.sys.entity.BusNoticeCorpEntity;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;
import java.util.Map;

/**
 * @Author chenxinying
 * @Desc (BusNoticeCorp)表服务接口
 * @Date 2024-03-29 09:53:21
 */
public interface BusNoticeCorpService extends IService<BusNoticeCorpEntity> {

    BusNoticeCorpEntity queryByFlexibleParams(String paramName, Object paramValue);

	List<BusNoticeCorpEntity> queryListByFlexibleParams(String paramName, Object paramValue);
    /**
     * 分页查询
     */
    PageUtils listPage(Map<String, Object> params);

    /**
     * 通过主键删除数据
     */
    void delete(String noticeCorpId,String userId);

}
