package com.zcloud.modules.custormerInfo.dao;

import com.zcloud.modules.custormerInfo.entity.BusCustomerInfoEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.zcloud.modules.custormerInfo.vo.BusCustomerInfoVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;
/**
 * @Author makejava
 * @Desc 客户企业信息(BusCustomerInfo)表数据库访问层
 * @Date 2024-03-29 15:49:54
 */
@Mapper
public interface BusCustomerInfoDao extends BaseMapper<BusCustomerInfoEntity> {

    /**
     * 分页查询  获取审核列表
     */
    IPage<BusCustomerInfoVo> listPage(@Param("page") Page<Map<String,Object>> page, @Param("params") Map<String, Object> params);

    BusCustomerInfoVo getById(@Param("customerinfoId") String customerinfoId);

    /**列表(全部)
     * @param pd
     * @throws Exception
     */
    List<BusCustomerInfoEntity> listAllDoMain(BusCustomerInfoEntity pd);

    IPage<BusCustomerInfoEntity> selectCustomerBycurriculumIdListPage(@Param("page") Page<Map<String, Object>> page, @Param("customerIds") List<String> customerIds, @Param("corpinfoName") String corpinfoName);

    int getNumber();

    IPage<BusCustomerInfoVo> trafficListPage(@Param("page") Page<Map<String,Object>> page, @Param("params") Map<String, String> params);
}
