package com.zcloud.modules.custormerInfo.dao;
 
import com.zcloud.modules.custormerInfo.entity.BusInvoiceManagementEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;
/**
 * @Author lizenan  
 * @Desc 发票抬头管理表(BusInvoiceManagement)表数据库访问层
 * @Date 2024-04-03 15:34:46
 */
@Mapper
public interface BusInvoiceManagementDao extends BaseMapper<BusInvoiceManagementEntity> {
 
    /**
     * 分页查询
     */
    IPage<BusInvoiceManagementEntity> listPage(@Param("page") Page<Map<String,Object>> page,@Param("params") Map<String, Object> params);

}
