package com.zcloud.modules.custormerInfo.dao;

import com.zcloud.modules.custormerInfo.entity.BusTeacherAuditRecordEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Map;

/**
 * @Author wangyitao
 * @Desc 教师认证审核记录表(BusTeacherAuditRecord)表数据库访问层
 * @Date 2024-10-15 14:33:52
 */
@Mapper
public interface BusTeacherAuditRecordDao extends BaseMapper<BusTeacherAuditRecordEntity> {

    /**
     * 分页查询
     */
    IPage<BusTeacherAuditRecordEntity> listPage(@Param("page") Page<Map<String, Object>> page, @Param("params") Map<String, Object> params);
}
