package com.zcloud.modules.custormerInfo.dao;
 
import com.zcloud.modules.custormerInfo.entity.SysDeveloperLogEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;
/**
 * @Author lizenan  
 * @Desc 系统日志(SysDeveloperLog)表数据库访问层
 * @Date 2024-04-11 11:53:29
 */
@Mapper
public interface SysDeveloperLogDao extends BaseMapper<SysDeveloperLogEntity> {
 
    /**
     * 分页查询
     */
    IPage<SysDeveloperLogEntity> listPage(@Param("page") Page<Map<String,Object>> page,@Param("params") Map<String, Object> params);

    /**
     * 查询所有日志表的列表的年
     * @return
     */
    List<String> listYear();
}
