package com.zcloud.modules.custormerInfo.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Author makejava
 * @Desc 客户企业审核记录表(BusCustomerAuditRecords)实体
 * @Date 2024-03-29 19:30:07
 */
@Data
@TableName("bus_customer_audit_records")
public class BusCustomerAuditRecordsEntity implements Serializable {
    private static final long serialVersionUID = -10512038802202391L;
    @TableId
    private String customerAuditRecordsId;
    //企业id
    @ApiModelProperty(value = "企业id")
    private String customerinfoId;
    //状态 -2审核不通过,-1审核中,0-停用，1正在使用
    @ApiModelProperty(value = "状态 -2审核不通过,-1审核中,0-停用，1正在使用")
    private Integer status;
    //审核内容
    @ApiModelProperty(value = "审核内容")
    private String statusContent;
    //添加人
    @ApiModelProperty(value = "添加人")
    private String creator;
    //添加时间
    @ApiModelProperty(value = "添加时间")
    @TableField(fill = FieldFill.INSERT)
    private String createTime;
    //修改人
    @ApiModelProperty(value = "修改人")
    private String operator;
    //修改时间
    @ApiModelProperty(value = "修改时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private String operatTime;
    //是否删除
    @ApiModelProperty(value = "是否删除")
    @TableField(fill = FieldFill.INSERT)
    private Integer isDelete;

    //类型 1审核记录  2冻结解冻记录
    @ApiModelProperty(value = "类型 1审核记录  2冻结解冻记录")
    private Integer type;


    //阿里域名、
    @TableField(exist = false)
    @ApiModelProperty(value = "阿里域名")
    private String domain;
}

