package com.zcloud.modules.custormerInfo.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Author zhangQiHang
 * @Desc 客户课程要求(BusCustomerinfoRequire)实体
 * @Date 2025-05-09 09:13:51
 */
@Data
@TableName("bus_customerinfo_require")
public class BusCustomerinfoRequireEntity implements Serializable {
    private static final long serialVersionUID = -50670303791562187L;
    //ID
    @ApiModelProperty(value = "ID")
    @TableId
    private String customerinfoRequireId;
    //客户ID
    @ApiModelProperty(value = "客户ID")
    private String customerinfoId;
    //要求
    @ApiModelProperty(value = "要求")
    private String requireName;
    //要求时间
    @ApiModelProperty(value = "要求时间")
    private String requireTime;
    //添加人
    @ApiModelProperty(value = "添加人")
    private String creator;
    //添加时间
    @ApiModelProperty(value = "添加时间")
    @TableField(fill = FieldFill.INSERT)
    private String createTime;
    //修改人
    @ApiModelProperty(value = "修改人")
    private String operator;
    //修改时间
    @ApiModelProperty(value = "修改时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private String operatTime;
    //是否删除
    @ApiModelProperty(value = "是否删除")
    @TableField(fill = FieldFill.INSERT)
    private Integer isDelete;

}

