package com.zcloud.modules.custormerInfo.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;
import java.util.Date;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Author lizenan
 * @Desc 系统日志(SysDeveloperLog)实体
 * @Date 2024-04-11 11:53:29
 */
@Data
@TableName("sys_developer_log")
public class SysDeveloperLogEntity implements Serializable {
    private static final long serialVersionUID = -56590298484310641L;
    @TableId
    private String id;
    //用户名
    @ApiModelProperty(value = "用户名")
    private String username;
    //用户操作
    @ApiModelProperty(value = "用户操作")
    private String operation;
    //请求方法
    @ApiModelProperty(value = "请求方法")
    private String method;
    //请求参数
    @ApiModelProperty(value = "请求参数")
    private String params;
    //执行时长(毫秒)
    @ApiModelProperty(value = "执行时长(毫秒)")
    private Long time;
    //IP地址
    @ApiModelProperty(value = "IP地址")
    private String ip;
    //创建时间
    @ApiModelProperty(value = "创建时间")
    private Date createDate;

}

