package com.zcloud.modules.custormerInfo.service;

import com.zcloud.common.utils.PageUtils;
import com.zcloud.modules.custormerInfo.entity.BusAlifacoryEntity;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;
import java.util.Map;

/**
 * @Author zhangyue
 * @Desc 阿里云转码模板(BusAlifacory)表服务接口
 * @Date 2024-05-09 17:09:46
 */
public interface BusAlifacoryService extends IService<BusAlifacoryEntity> {

    BusAlifacoryEntity queryByFlexibleParams(String paramName, Object paramValue);

    List<BusAlifacoryEntity> queryListByFlexibleParams(String paramName, Object paramValue);

    /**
     * 分页查询
     */
    PageUtils listPage(Map<String, Object> params);

    /**
     * 通过主键删除数据
     */
    void delete(String alifacoryId, String userId);

}
