package com.zcloud.modules.custormerInfo.vo;

import com.zcloud.modules.custormerInfo.entity.BusCustomerInfoEntity;
import com.zcloud.modules.custormerInfo.entity.BusCustomerinfoRequireEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * @Author makejava
 * @Desc 客户企业信息(BusCustomerInfo)Vo类 用于返回审核信息
 * @Date 2024-03-29 15:49:47
 */
@Data
public class BusCustomerInfoVo extends BusCustomerInfoEntity {

    //联系人电话
    private String mobile;

    //营业执照列表
    private List<String> filepathList;

    //营业执照图片按照逗号拼接
    private String filepathListString;

    //邮箱
    private String email;

    //LOGO图片
    private String logoPath;

    //课程数
    private String curriculumNumber;

    //课件数
    private String coursewareNumber;

    //临期课程数
    private String adventNumber;

    //审核时间
    private String auditDate;

    //剩余流量
    private BigDecimal surplusSum;

    //qps总量
    private BigDecimal qpsSum;

    //订单总金额
    private BigDecimal amount;

    private String statusContent;

    //联系电话
    private String legalMobile;

    // 流量充值总金额
    private Double sumMoney;

    // 流量充值总量
    private Double sumTraffic;

    // 已用流量总数
    private Double usedTraffic;

    //行业资质
    private List<String> industryQualificationList;

    private List<BusCustomerinfoRequireEntity> requireList;
    private String attributeName;
    private String market;
    private String platformName;
    private String address;
    private String legalPerson;
    private String account;
}

