package com.zcloud.modules.invoicing.dao;

import com.zcloud.modules.invoicing.entity.BusInvoicingEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
 import java.util.Map;
/**
 * @Author lizenan
 * @Desc 开票管理表(BusInvoicing)表数据库访问层
 * @Date 2024-04-03 15:15:39
 */
@Mapper
public interface BusInvoicingDao extends BaseMapper<BusInvoicingEntity> {

    /**
     * 分页查询
     */
    IPage<BusInvoicingEntity> listPage(@Param("page") Page<Map<String,Object>> page,@Param("params") Map<String, Object> params);

    BusInvoicingEntity getInvoiceDetail(@Param("params") BusInvoicingEntity params);
}
