package  com.zcloud.modules.invoicing.dao;
 
import  com.zcloud.modules.invoicing.entity.BusInvoicingReturnEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
 import java.util.Map;
/**
 * @Author lizenan  
 * @Desc 开票管理回传发票(BusInvoicingReturn)表数据库访问层
 * @Date 2024-04-08 08:56:21
 */
@Mapper
public interface BusInvoicingReturnDao extends BaseMapper<BusInvoicingReturnEntity> {
 
    /**
     * 分页查询
     */
    IPage<BusInvoicingReturnEntity> listPage(@Param("page") Page<Map<String,Object>> page,@Param("params") Map<String, Object> params);
}
