package com.zcloud.modules.mall.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author fangjiakai
 * @date 2024/06/26 14:34
 */
@Data
public class BusHotTeacherVo implements Serializable {
    private static final long serialVersionUID = -3992527076324668753L;

    private Integer hotTeacherId;
    //教师
    @ApiModelProperty(value = "教师")
    private String teacherId;
    //图片
    @ApiModelProperty(value = "图片")
    private String fileUrl;
    //是否显示0否1是
    @ApiModelProperty(value = "是否显示0否1是")
    private Integer isShow;
    //排序
    @ApiModelProperty(value = "排序")
    private Integer sort;
    //开始显示时间
    @ApiModelProperty(value = "开始显示时间")
    private String startTime;
    //结束显示时间
    @ApiModelProperty(value = "结束显示时间")
    private String endTime;

    //教师名
    @ApiModelProperty(value = "教师名")
    private String name;
    //专业
    @ApiModelProperty(value = "专业")
    private String profession;
}
