package com.zcloud.modules.mall.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author fangjiakai
 * @date 2024/06/26 14:34
 */
@Data
public class BusPreviewCurriculumVo implements Serializable {
    private static final long serialVersionUID = 866390724254875091L;

    private Integer hotCurriculumId;
    //课程
    @ApiModelProperty(value = "课程")
    private String curriculumId;
    //是否试看
    @ApiModelProperty(value = "是否试看")
    private Integer isPreview;

    //课程名称
    @ApiModelProperty(value = "课程名称")
    private String curriculumName;
    //课程描述
    @ApiModelProperty(value = "课程描述")
    private String curriculumIntroduce;
    //总课时
    @ApiModelProperty(value = "总课时")
    private Double classHour;
    //课程体系
    @ApiModelProperty(value = "课程体系")
    private String curriculumSystemName;
}
