package com.zcloud.modules.sys.dao;

import com.zcloud.modules.sys.entity.BusNoticeEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
 import java.util.Map;
/**
 * @Author chenxinying
 * @Desc (BusNotice)表数据库访问层
 * @Date 2024-03-28 16:29:57
 */
@Mapper
public interface BusNoticeDao extends BaseMapper<BusNoticeEntity> {

    /**
     * 分页查询
     */
    IPage<BusNoticeEntity> listPage(@Param("page") Page<Map<String,Object>> page,@Param("params") Map<String, Object> params);
}
