package com.zcloud.modules.sys.entity;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

/**
 * @Author liu jun
 * @Desc 图片附件(BusImgfiles)实体
 * @Date 2023-11-09 14:40:16
 */
@Data
@TableName("bus_imgfiles")
public class BusImgfilesEntity implements Serializable {
    private static final long serialVersionUID = 478497487357173771L;
    @TableId
    private String imgfilesId;
    //路径
    @ApiModelProperty(value = "路径")
    private String filepath;
    //类型 1营业执照 2商品图片3店面照片
    @ApiModelProperty(value = "类型 1营业执照 2商品图片3店面照片")
    private Integer type;
    //类型id
    @ApiModelProperty(value = "类型id")
    @TableField(exist = false)
    private String typeId;
    //外键
    @ApiModelProperty(value = "外键")
    private String foreignKey;
    //企业ID
    @ApiModelProperty(value = "企业ID")
    private String customerinfoId;

}

