package com.zcloud.modules.sys.service;

import com.zcloud.common.utils.PageUtils;
import com.zcloud.modules.sys.entity.BusImgfilesEntity;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zcloud.modules.sys.vo.TemporaryVo;
import org.springframework.web.multipart.MultipartFile;

import java.util.Map;

/**
 * @Author fangjiakai
 * @Desc 图片附件(BusImgfiles)表服务接口
 * @Date 2023-10-19 15:09:20
 */
public interface BusImgfilesService extends IService<BusImgfilesEntity> {

    TemporaryVo uploadTemporary(MultipartFile file) throws Exception;
    /**
     * 分页查询
     */
    PageUtils listPage(Map<String, Object> params);

    /**
     * 通过主键删除数据
     */
    void delete(String imgfilesId);

}
